%define oname qmmp

Summary:	A set of extra plug-ins for Qmmp
Name:		qmmp-plugin-pack
Version:	1.0.2
Release:	1
License:	GPLv2+
Group:		Sound
Url:		http://qmmp.ylsoftware.com/plugins.php
Source0:	http://qmmp.ylsoftware.com/files/plugins/%{name}-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	yasm
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(qmmp) >= 1.0.0
BuildRequires:	pkgconfig(qmmpui) >= 1.0.0
BuildRequires:	pkgconfig(Qt5Core) >= 5.4.0
BuildRequires:	pkgconfig(Qt5Widgets) >= 5.4.0
BuildRequires:	pkgconfig(taglib)
Suggests:	%{oname}-ffap = %{EVRD}
Suggests:	%{oname}-mpg123 = %{EVRD}

%description
Plug-ins for Qmmp from Qmmp Plug-in Pack:
 * FFap - enhanced Monkey's Audio (APE) decoder
   (24-bit samples and embedded cue support)
 * MPG123 - MPEG v1/2 layer1/2/3 decoder using of libmpg123 library.

%files

#----------------------------------------------------------------------------

%package -n %{oname}-ffap
Summary:	Qmmp FFap Input Plugin
Group:		Sound

%description -n %{oname}-ffap
This is the FFap Input Plugin for Qmmp (enhanced Monkey's Audio (APE) decoder,
24-bit samples and embedded cue support).

%files -n %{oname}-ffap
%doc AUTHORS COPYING ChangeLog.rus README README.RUS ChangeLog ChangeLog.svn
%{_libdir}/%{oname}/Input/libffap.so

#----------------------------------------------------------------------------

%package -n %{oname}-mpg123
Summary:	Qmmp MPG123 Input Plugin
Group:		Sound

%description -n %{oname}-mpg123
This is the MPG123 Input Plugin for Qmmp (MPEG v1/2 layer1/2/3 decoder
using of libmpg123 library).

%files -n %{oname}-mpg123
%doc AUTHORS COPYING ChangeLog.rus README README.RUS ChangeLog ChangeLog.svn
%{_libdir}/%{oname}/Input/libmpg123.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt5
%make

%install
%makeinstall_std -C build

%changelog

* Mon Jan 25 2016 Giovanni Mariani <mc2374@mclink.it> 1.0.2-1
- (3ff5469) Updated to release 1.0.2


